var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_tutorials_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Tutorials</h1></div><p>The following tutorials walk you through creating, debugging, packaging, and deploying a UI component for 3ds Max.  In the process, you will learn how to create PySide UIs, add external modules using pip, packaging your code using pip, automatically launch your tool on startup, and install a virtual environment for the 3ds Max Python interpreter.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"tutorials/creating_the_dialog.html\">Tutorial 1: Creating and Debugging a UI</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"tutorials/adding_numpy.html\">Tutorial 2 - Adding NumPy, an external component</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"tutorials/packaging_pyramid.html\">Tutorial 3 - Packaging our pyramid module as a pip package</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"tutorials/automatic_launch.html\">Tutorial 4 - Automatically launching our tool when max starts</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"tutorials/installing_package.html\">Tutorial 5 - Installing our pip package</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"tutorials/attach_debugger.html\">Tutorial 6 - Attaching the VSCode debugger to the 3ds Max process</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";