var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_bitmaps_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Bitmaps</h1></div><p>The Bitmap class provides storage for 3ds Max bitmaps and low-level access to them.</p>\n\
<p>For example, to create a bitmap of a specified height and width and gamma setting, and then store render results in it:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">from pymxs import runtime as rt\n\
\n\
rt.resetMaxFile(rt.name(&apos;noPrompt&apos;))\n\
t = rt.teapot()\n\
my_bitmap = rt.bitmap(320, 240, color=rt.white, gamma=1.9)\n\
rt.render(to=my_bitmap)\n\
rt.display(my_bitmap)</code></pre>\n\
<p>Note that <code>render()</code> returns a bitmap by default if no <code>to=</code> or <code>outputFile=</code> is supplied, but once a bitmap value is created you cannot change the gamma value or pixel aspect.  In this example we create the bitmap with these values first, and then write to it.  You can also copy a bitmap to a new one with the gamma or pixel aspect you want to acheive the same thing.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";