var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_differences_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Differences Between pymxs and MAXScript</h1></div><p>There are several features of native MAXScript that are not available in the <code>pyxms.runtime</code>.  These differences are due to the way some language constructs are exposed in MAXScript, differences between the syntax of the two languages, or in some cases by design.  In many cases there are work-arounds for these limitations, which are illustrated by examples in this topic.</p>\n\
<h2 id=\"overview\">Overview</h2><p>These are the general areas where pymxs.runtime differs from native MAXScript, but where work-arounds exist:</p>\n\
<ul>\n\
<li>using MAXScript pathname values (using <code>$</code> and wildcards)</li>\n\
<li>calling 3ds Max commands (<code>max ...</code> commands)</li>\n\
<li>registering callbacks</li>\n\
<li>accessing gizmos</li>\n\
<li>accessing object properties and controllers</li>\n\
<li>creating startup scripts</li>\n\
<li>coercing MAXScript Values</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"pymxs_differences/pymxs_pathname_values.html\">Accessing MAXScript PathName Values</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"pymxs_differences/pymxs_max_commands.html\">Calling 3ds Max Commands</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"pymxs_differences/pymxs_gizmos.html\">Accessing Gizmos</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"pymxs_differences/pymxs_controllers.html\">Accessing Object Properties and Controllers</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"pymxs_differences/pymxs_startup_scripts.html\">Creating Startup Scripts</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"pymxs_differences/pymxs_mxs_coercion.html\">Coercing MAXScript Values</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"pymxs_differences/pymxs_by_ref_parameters.html\">By-Reference Parameter Handling in pymxs</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"pymxs_differences/pymxs_registering_callbacks.html\">Registering Python Callbacks</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";