var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_what_s_new_in_3ds_max_python_api_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What&#39;s New in 3ds Max Python</h1></div><p>This topic provides an overview of new features, changes, Python and PySide versions over the recent releases of 3ds Max.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>3ds Max</th>\n\
<th>Python</th>\n\
<th>PySide</th>\n\
<th>pymxs API</th>\n\
<th>MaxPlus API</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>2022.2 Update</td>\n\
<td>Compiled .pyc files are now supported.  <br/>The Python interpreter runs with the <code>-E</code> switch.</td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2022</td>\n\
<td>Version: 3.7.9.  <br>2.7 is no longer available.</td>\n\
<td>5.15.1</td>\n\
<td></td>\n\
<td>MaxPlus is no longer available.  <strong>pymxs</strong> is the supported API for integrating with 3ds Max.</td>\n\
</tr>\n\
<tr>\n\
<td>2021.3 Update</td>\n\
<td></td>\n\
<td></td>\n\
<td>Updated <a href=\"using_pymxs/pymxs_renderer.html\">Working with the Renderer</a> topic with more examples.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2021.2 Update</td>\n\
<td></td>\n\
<td></td>\n\
<td>New <a href=\"tutorials.html\">tutorials</a> have been added to the help <br>New topic on <a href=\"using_pymxs/pymxs_custattributes.html\">defining custom attributes in pymxs</a></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2021.1 Update</td>\n\
<td>Versions: 3.7.6, 2.7.17 <br>Python 3 is now the full distribution(not the embedded version), meaning all standard modules are available (including <code>venv</code> and <code>ensurepip</code>)</td>\n\
<td>Version: 5.12.5</td>\n\
<td>The <a href=\"using_pymxs/pymxs_differences/pymxs_controllers.html\">Accessing Object Properties and Controllers</a> topic has been improved.</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2021</td>\n\
<td><strong>New</strong>: Python 3<br>Versions: 3.7.6, 2.7.17</td>\n\
<td>Version: 5.12.5 <br>New <code>qtmax</code> module contains helper functions for working with Qt/PySide in 3ds Max Python. See <a href=\"qtmax_module.html\">The <code>qtmax</code> Module</a> <br>Scripts run from the MAXScript Editor now have access to the <code>__file__</code> constant.</td>\n\
<td>Samples have been re-organized and improved for Python 2 and 3.  They are now located under <code>[3ds Max Install]\\scripts\\PythonSamples\\</code>. <br>A MAXScript variable can be created and MAXScript arrays and dictionaries can be manipulated directly without having to use <code>pymxs.runtime.execute()</code>.  <br>The new <code>pymxs.byref()</code> improves by-reference parameter handling.  See <a href=\"using_pymxs/pymxs_differences/pymxs_by_ref_parameters.html\">By-Reference Parameter Handling in pymxs</a> <br>The callbacks.addScript() method can now take a Python function as an argument.  See <a href=\"using_pymxs/pymxs_differences/pymxs_registering_callbacks.html\">Registering Python Callbacks</a></td>\n\
<td>MaxPlus is not supported under Python 3</td>\n\
</tr>\n\
<tr>\n\
<td>2020.3 Update</td>\n\
<td>Version: 2.7.15<br>Fixed issues with calling Python APIs from Maxscript caused by differences in case sensitivity between MAXScript and Python.</td>\n\
<td>Version: 5.12.4</td>\n\
<td><code>pymxs</code> documentation improvements. See <a href=\"using_pymxs.html\">Using pymxs</a></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2020.2 Update</td>\n\
<td>Version: 2.7.15<br>Python 3 Warning Mode. See <a href=\"python_3_warning_mode.html\">Python 3 Warning Mode</a></td>\n\
<td>Version: 5.11.2</td>\n\
<td>Improved pymxs performance when accessing scene object attributes</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2020</td>\n\
<td>Version: 2.7.15</td>\n\
<td>Version: 5.11.2</td>\n\
<td>All MAXScript APIs now accept floating point values when called from Python through pymxs</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2019.2 Update</td>\n\
<td>Version: 2.7.12</td>\n\
<td>Version: 5.6.3</td>\n\
<td>Improved pymxs performance when comparing scene nodes</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2019.1 Update</td>\n\
<td>Version: 2.7.12</td>\n\
<td>Version: 5.6.3</td>\n\
<td>Improved pymxs performance when casting MAXScript object sets to Python lists. <br>Some MAXScript objects, such as scene nodes, can now be used as Python dictionary keys. See <a href=\"using_pymxs/pymxs_values.html\">MAXScript Values in pymxs</a></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2019</td>\n\
<td>Version: 2.7.12</td>\n\
<td>Version: 5.6.3</td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2018.4 Update</td>\n\
<td>Version: 2.7.12</td>\n\
<td>Version: PySide2 - 5.6.2</td>\n\
<td>Added support for passing Python lists as references to MAXScript functions. See <code>pymxs.mxsreference()</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>2018</td>\n\
<td>Version: 2.7.12</td>\n\
<td>Version: PySide2 - 5.6.2</td>\n\
<td></td>\n\
<td><code>MakeQWidgetDockable()</code> removed, replaced by the standard PySide approach<br> <code>GetQMaxWindow()</code> replaced by <code>GetQMaxMainWindow()</code>. <code>GetQMaxWindowWinId()</code> is also removed<br><code>MaxPlus::CUIFrame.Create()</code> no longer works. Use <code>PySide2</code> to create  windows and dialogs.</td>\n\
</tr>\n\
<tr>\n\
<td>2017</td>\n\
<td>Version: 2.7.6</td>\n\
<td>Version: 1.2.2, <code>pysideuic</code> pre-installed</td>\n\
<td>pymxs API introduced. See <a href=\"using_pymxs.html\">Using pymxs</a></td>\n\
<td>AppData Chunk API exposed in MaxPlus. See the <em>demoAppChunk.py</em> sample script<br>Quad Poly API exposed in MaxPlus. See the <em>demoPolyObject.py</em> sample script <br><code>SplineShape.UpdateShape()</code> is added to update a spline in the 3ds Max scene.</td>\n\
</tr>\n\
<tr>\n\
<td>2016 Service Pack 1</td>\n\
<td>Version: 2.7.3</td>\n\
<td>Version: 1.2</td>\n\
<td></td>\n\
<td>New: <code>MaxPlus.AttachQWidgetToMax()</code></td>\n\
</tr>\n\
<tr>\n\
<td>2015</td>\n\
<td>Version: 2.7.3</td>\n\
<td>Version: 1.2</td>\n\
<td></td>\n\
<td><code>GraphicsWindow</code> class is removed, use the <code>Viewport.GetDIB()</code> method to obtain your active viewport graphics window as a bitmap. See <a href=\"using_maxplus/rendering/saving_the_active_viewport_graph.html\">Saving the active viewport graphics window as a bitmap</a> for more information.</td>\n\
</tr>\n\
<tr>\n\
<td>2014 Extension 1</td>\n\
<td>Version: 2.7.3</td>\n\
<td>Version: 1.2</td>\n\
<td></td>\n\
<td>MaxPlus API introduced. See <a href=\"using_maxplus.html\">Using MaxPlus Python</a></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";