var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_assets_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Assets</h1></div><p>The <code>AssetManager</code> interface exposes methods to get information about and manipulate scene assets (external files).  Individual scene assets are represented by objects of the <code>AssetUser</code> class, which contains methods to query those assets.</p>\n\
<p>For example to get a list of assets in a scene:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">from pymxs import runtime as rt\n\
\n\
num_assets = rt.AssetManager.getNumAssets()\n\
for i in range(1,num_assets+1):\n\
    ass = rt.AssetManager.getAssetByIndex(i)\n\
    print(ass.getFileName())</code></pre>\n\
<p>The output depends on the scene, but could look something like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">C:\\3ds Max\\OSL\\UberBitmap.osl\n\
C:\\3ds Max\\maps\\uvwunwrap\\UV_Checker.png\n\
C:\\3ds Max\\Maps\\fx\\StandardFX11.fx\n\
C:\\3ds Max\\OSL\\OSLBitmap.osl\n\
C:\\3ds Max\\OSL\\BlackBody.osl\n\
C:\\3ds Max\\OSL\\Candy.osl\n\
...</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";