var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_plugins_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Plug-ins</h1></div><p>The pluginManager interface exposes properties and methods for managing 3ds Max plug-ins.  The sample <em>output_plugin_classes.py</em> illustrates how to enumerate all the loaded plug-ins and print out some information about them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&apos;&apos;&apos;\n\
    Demonstrates using the PluginManager to extract information about loaded\n\
    plugins.\n\
&apos;&apos;&apos;\n\
from pymxs import runtime as rt # pylint: disable=import-error\n\
\n\
# List all plug-in dlls\n\
PLUGIN_COUNT = rt.pluginManager.pluginDllCount\n\
print(&quot;Total PluginDlls: {0}\\n&quot;.format(PLUGIN_COUNT))\n\
# maxscript uses one based indices\n\
for p in range(1, PLUGIN_COUNT + 1):\n\
    print(&quot;PluginDll:&quot;, rt.pluginManager.pluginDllFullPath(p))\n\
    print(&quot;Description:&quot;, rt.pluginManager.pluginDllName(p))\n\
    print(&quot;Loaded:&quot;, rt.pluginManager.isPluginDllLoaded(p))</code></pre>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";